Page MenuHomePhabricator

Denormalize branch cutpoint commit date into Releeph Branch
Closed, ResolvedPublic

Description

Currently, Releeph operates on the commit date of the branch cutpoint in several interfaces. It loads this data using single gets at display time. This should be denormalized into the Branch object and keyed so we can do filtering and sorting in MySQL instead of loading all possible results into PHP and then mucking with them. In particular, interfaces which operate on branches generally cost O(total number of branches in project) to build right now.

Details

Differential Revisions
Restricted Differential Revision
Commits
Restricted Differential Revision / rP9f4103269355: Remove "cut point commit identifier" from Releeph

Event Timeline

epriestley triaged this task as Normal priority.
epriestley added a project: Releeph.
epriestley edited this Maniphest Task.Jul 31 2013, 2:41 PM
epriestley edited this Maniphest Task.Jul 31 2013, 4:36 PM
epriestley edited this Maniphest Task.Aug 14 2013, 4:02 PM
epriestley edited this Maniphest Task.Aug 15 2013, 4:56 PM
epriestley closed this task as Resolved.Aug 15 2013, 4:56 PM

D6764 proposes an alternate solution, which is "don't sort by cutpoint commit date". I'm going to presume this is acceptable, yell if not.

chad changed the visibility from "All Users" to "Public (No Login Required)".Jul 11 2015, 3:04 PM